PeopleForce
People

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Get a person salary

Returns a single salary record

GET
/api/v4/people/{person_id}/compensation/salaries/{id}

Returns a single salary record

Path Parameters

person_id*integer
Formatint64
id*integer
Formatint64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v4/people/0/compensation/salaries/0"
{  "data": {    "id": 0,    "effective_on": "2019-08-24",    "amount": "string",    "currency_code": "string",    "per": "string",    "comment": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "custom_fields": {      "property1": {        "name": "string",        "value": null      },      "property2": {        "name": "string",        "value": null      }    }  }}